package de.jpainfo.model;


public class VerfuegungId {

	private Integer kunde;
	private Integer konto;
	
	
	public VerfuegungId() {
		super();
	}


	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((konto == null) ? 0 : konto.hashCode());
		result = prime * result + ((kunde == null) ? 0 : kunde.hashCode());
		return result;
	}


	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		VerfuegungId other = (VerfuegungId) obj;
		if (konto == null) {
			if (other.konto != null)
				return false;
		} else if (!konto.equals(other.konto))
			return false;
		if (kunde == null) {
			if (other.kunde != null)
				return false;
		} else if (!kunde.equals(other.kunde))
			return false;
		return true;
	}
	
	
	
}
