/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */
package de.jpainfo.test;

import java.util.Set;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import de.jpainfo.model.Kunde;
import de.jpainfo.model.Verfuegung;

public class Lesen {

	public static void main(String[] args) throws Exception {

		Provider.select("eclipselink");
		EntityManagerFactory emf = Persistence.createEntityManagerFactory("bank");
		EntityManager em = emf.createEntityManager();

		em.getTransaction().begin();

		Kunde kunde = em.find(Kunde.class, 1);
		Set<Verfuegung> verfuegungen = kunde.getVerfuegungen();
		for (Verfuegung verfuegung : verfuegungen) {
			System.out.println(verfuegung.getVon());
			System.out.println(verfuegung.getBis());
			System.out.println(verfuegung.getKonto());
		}

		em.getTransaction().commit();

		em.clear();
		emf.close();
	}
}
