/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */
package de.jpainfo.test;

import javax.persistence.EntityManager;

import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import de.jpainfo.model.Anrede;
import de.jpainfo.model.Konto;
import de.jpainfo.model.Kunde;


public class Schreiben {
	
		public static void main(String[] args) throws Exception {
		
		Provider.select("eclipselink");
		
		EntityManagerFactory emf = Persistence.createEntityManagerFactory("bank", DB.postgresql);
		EntityManager em = emf.createEntityManager();

		
		em.getTransaction().begin();
		
		Kunde kunde1 = new Kunde("Max", "Mustermann", "29.7.1962", Anrede.HERR);
		//Kunde kunde2 = new Kunde("Lisa", "Mustermann", "7.8.1965", Anrede.FRAU);

		Konto konto1 = new Konto();
		em.persist(kunde1);
		em.persist(konto1);

		em.persist(kunde1.addKonto("18.8.2011", konto1));

		// führt zu Dupliziertem Key
//		Verfuegung verfuegung2 = new Verfuegung(kunde1, konto1, new Date(), null);
//		em.persist(verfuegung2);

		
		em.getTransaction().commit();
		

		

		em.clear();
		emf.close();
	}
}
